Bug 109190 - virgl: buffer flushing error with some dEQP tests [bisected]
Summary: virgl: buffer flushing error with some dEQP tests [bisected]
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-31 10:45 UTC by Gert Wollny
Modified: 2019-02-19 15:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gert Wollny 2018-12-31 10:45:27 UTC
With the commit db77573d7bae90e an error was introduced that results in errors with respect to buffer flushing when running dEQP test cases, e.g.: 

dEQP-GLES31.functional.debug.error_filters.case_3 
dEQP-GLES31.functional.debug.error_group.case_3
dEQP-GLES31.functional.debug.async.case_6_log
dEQP-GLES3.functional.state_query.buffer_object.buffer_access_flags_getbufferparameteri
dEQP-GLES3.functional.state_query.buffer_object.buffer_access_flags_getbufferparameteri64

In these cases the virglrenderer host will abort with a message 

vtest_transfer_put2 called vtest_block_read which failed (-14)

Tested host virglrenderer git-ea97380ec8987
Comment 1 Gert Wollny 2019-01-02 12:13:18 UTC
The bug is addressed with 
https://gitlab.freedesktop.org/mesa/mesa/merge_requests/56
Comment 2 Gert Wollny 2019-02-19 15:53:41 UTC
This has been fixed with ca66457b0516ef8af5ef17c54460ab8d9aefc5fa


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.